Jump to content
Augure

Ipkg Update Error (Ts119)

Recommended Posts

Bonjour à tout le monde,

je voulais installer le support pptp sur mon ts119 ce mois-ci.

La commande ipkg update me renvoie l'erreur suivante :


[~] # ipkg update

Downloading http://downloads.openwrt.org/backports/0.9/Packages

Updated list of available packages in /opt/lib/ipkg/lists/backports

Downloading http://ipkg.nslu2-linux.org/feeds/optware/tsx19/cross/unstable/Packages

Downloading http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/Packages.gz

Inflating http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/Packages.gz

Updated list of available packages in /opt/lib/ipkg/lists/cs08q1armel

An error ocurred, return value: 1.

Collected errors:

ipkg_download: ERROR: Command failed with return value 1: `wget --passive-ftp    -q -P /opt/ipkg-zkLQPg http://ipkg.nslu2-linux.org/feeds/optware/tsx19/cross/unstable/Packages'

Je comprends qu'il n'arrive pas à atteindre la page : http://ipkg.nslu2-linux.org/feeds/optware/tsx19/cross/unstable/Packages et en effet, via le web j'obtiens une erreur 404.

En fait, toute l'arborescence tsx19 a disparue sur le dépôt.

Existe t'il un dépôt alternatif? dois-je modifie la conf de IPKG pour utiliser les packages du TS209?

Bref, je suis un peu pommé sur ce coup et j'en appelle à vos avis éclairés.

merci

Lionel

Share this post


Link to post
Share on other sites

Bonjour,

Bonjour à tout le monde,

je voulais installer le support pptp sur mon ts119 ce mois-ci.

La commande ipkg update me renvoie l'erreur suivante :


[~] # ipkg update

Downloading http://downloads.openwrt.org/backports/0.9/Packages

Updated list of available packages in /opt/lib/ipkg/lists/backports

Downloading http://ipkg.nslu2-linux.org/feeds/optware/tsx19/cross/unstable/Packages

Downloading http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/Packages.gz

Inflating http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/Packages.gz

Updated list of available packages in /opt/lib/ipkg/lists/cs08q1armel

An error ocurred, return value: 1.

Collected errors:

ipkg_download: ERROR: Command failed with return value 1: `wget --passive-ftp    -q -P /opt/ipkg-zkLQPg http://ipkg.nslu2-linux.org/feeds/optware/tsx19/cross/unstable/Packages'

Je comprends qu'il n'arrive pas à atteindre la page : http://ipkg.nslu2-li...stable/Packages et en effet, via le web j'obtiens une erreur 404.

En fait, toute l'arborescence tsx19 a disparue sur le dépôt.

Existe t'il un dépôt alternatif? dois-je modifie la conf de IPKG pour utiliser les packages du TS209?

Bref, je suis un peu pommé sur ce coup et j'en appelle à vos avis éclairés.

merci

Lionel

Le feed tel que ne réapparaitra PAS, car ce sont des modules kernel ... pour une version de noyau QUI n'existe plus ...

Tant que quelqu'un ne reprendra pas la compilation des modules pour la nouvelle version du noyau ... il n'y aura rien, sauf compiler par vous même ...

Philippe.

Share this post


Link to post
Share on other sites

Bonjour,

Le feed tel que ne réapparaitra PAS, car ce sont des modules kernel ... pour une version de noyau QUI n'existe plus ...

Tant que quelqu'un ne reprendra pas la compilation des modules pour la nouvelle version du noyau ... il n'y aura rien, sauf compiler par vous même ...

Philippe.

Hello, et merci pour la réponse si rapide!

Dois-je en conclure que QNAP a cessé le support pour ce modèle? C'était bien Qnap qui publiait les packs?

Je suis surpris de voir que personne d'autre s'en plaigne.

Merci encore pour ces éclaircissements!

Lionel

Share this post


Link to post
Share on other sites

Bonjour,

Hello, et merci pour la réponse si rapide!

Dois-je en conclure que QNAP a cessé le support pour ce modèle? C'était bien Qnap qui publiait les packs?

Je suis surpris de voir que personne d'autre s'en plaigne.

Merci encore pour ces éclaircissements!

Lionel

Point 1 : le support applicatif (feed cs08q1armel) reste (et a priori restera) ...

Point 2 : Le feed kernel-modules lui, dépend, comme son nom l'indique du kernel, est pour l'instant, n'a pas été mis à jour, sachant que si vous êtes au niveau kernel module, les outils (du feed applicatif) vous permettent (le kernel source étant disponible chez QNAP) de compiler vous-même ... aucun problèmes particuliers.

Point 3 : Ipkg N'EST PAS PUBLIÉ NI MAINTENU PAR QNAP, QNAP maintient le QPKG Optware, qui est un choix d'installation de votre part, les IPKG sont développés par des indépendants, la première version était pour le Linksys NSLU2 ... puis a été porté sur sur plusieurs plate-formes ... les "modules kernel" eux sont restés limités a peu de système, car l'évolution du kernel est naturelle sur TOUS les systèmes Linux. Il y aura de moins en moins ce type de support (modules) sauf volontaire ... l'appel est ouvert :grin:.

Point 4 : Utiliser un feed NON ciblé spécifiquement pour une plate-forme ... apporte un risque sur TOUS les Ipkg, car des librairies peuvent être écrasées ... (je parle pour Augure qui a ajouté ceux d'Openwrt ) ... il faut vraiment savoir pourquoi on le fait ... et dans ce cas compiler un module n'est pas difficile à ce niveau là.

Point 5 : Il y a de moins en moins de développeurs sur IPKG ... un projet de remplacement est en cours OPKG ... pour l’instant uniquement sur x86, une Alpha version pour x86, disponible comme QPKG, existe ... mais c'est IPKG ou OPKG ... ne vous perdez pas entre les Q, I, O ...PKG.

Si vous avez vraiment besoin d'un module, et que vous n'avez pas "le feu au lac", demandez moi, je suis très chargé en ce moment, mais je verrai ce que je peux faire :P

Philippe.

Share this post


Link to post
Share on other sites

Bonjour,

Point 1 : le support applicatif (feed cs08q1armel) reste (et a priori restera) ...

Point 2 : Le feed kernel-modules lui, dépend, comme son nom l'indique du kernel, est pour l'instant, n'a pas été mis à jour, sachant que si vous êtes au niveau kernel module, les outils (du feed applicatif) vous permettent (le kernel source étant disponible chez QNAP) de compiler vous-même ... aucun problèmes particuliers.

Point 3 : Ipkg N'EST PAS PUBLIÉ NI MAINTENU PAR QNAP, QNAP maintient le QPKG Optware, qui est un choix d'installation de votre part, les IPKG sont développés par des indépendants, la première version était pour le Linksys NSLU2 ... puis a été porté sur sur plusieurs plate-formes ... les "modules kernel" eux sont restés limités a peu de système, car l'évolution du kernel est naturelle sur TOUS les systèmes Linux. Il y aura de moins en moins ce type de support (modules) sauf volontaire ... l'appel est ouvert :grin:.

Point 4 : Utiliser un feed NON ciblé spécifiquement pour une plate-forme ... apporte un risque sur TOUS les Ipkg, car des librairies peuvent être écrasées ... (je parle pour Augure qui a ajouté ceux d'Openwrt ) ... il faut vraiment savoir pourquoi on le fait ... et dans ce cas compiler un module n'est pas difficile à ce niveau là.

Point 5 : Il y a de moins en moins de développeurs sur IPKG ... un projet de remplacement est en cours OPKG ... pour l’instant uniquement sur x86, une Alpha version pour x86, disponible comme QPKG, existe ... mais c'est IPKG ou OPKG ... ne vous perdez pas entre les Q, I, O ...PKG.

Si vous avez vraiment besoin d'un module, et que vous n'avez pas "le feu au lac", demandez moi, je suis très chargé en ce moment, mais je verrai ce que je peux faire :P

Philippe.

Bonjour,

Donc plus moyen de faire de "ipkg update" ?

Merci.

Share this post


Link to post
Share on other sites

Bonjour,

Bonjour,

Donc plus moyen de faire de "ipkg update" ?

Merci.

Ceci n'est que pour les Arm hors version x09, les x86 n'ont jamais eu de modules, les anciens Arm x09 peuvent être utilisé ....

Pour les applicatifs (feed cs08qarmel1) le "ipkg update;;ipkg upgrade" est toujours valide et même conseillé :grin:

pour les kernel modules c'est fini pour le moment ... car il y a eu évolution du kernel et personne pour mettre à jour les modules ...

Il vaut mieux, pour l'instant retirer le feed des modules kernel, il suffit de supprimer le fichier dans /opt/etc/ipkg ....

Si vous avez besoin de module, c'est assez simple en utilisant le QPKG debian6 et en y mettant les sources du noyau fourni par QNAP .... le compilateur et les librairies, comme cela, sont à jour et natif ... IPKG ne travaillait qu'en mode cross-compilation.

OPKG verra peut-être le jour ... je sais que Qnap en suit l'évolution ....

Pour moi, j'ai réglé le problème en utilisant un chroot debian, je ne vois pas, "bien sur", le système de base en ram ... mais ce n'est pas important, et je peux avoir tout un tas d'outils ... les seuls qui ne fonctionnent pas sont ceux qui demandent des drivers/objects intégrés au noyau et non externe en modules (ex. iptables ne fonctionnera pas, le noyau n'étant pas compilé avec les options adéquates ) ....

Philippe.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×